B10-ZONEMGR(8)

NAME
b10-zonemgr - BIND 10 Secondary zone manager

SYNOPSIS

b10-zonemgr [-v] [--verbose]

DESCRIPTION

The b10-zonemgr daemon, also known as the BIND 10 secondary manager, keeps track of timers and other information necessary for BIND 10 to act as a DNS slave. Normally it is started by the bind10(8) boss process.

This daemon communicates with BIND 10 over a b10-msgq(8) C-Channel connection. If this connection is not established, b10-zonemgr will exit.

b10-zonemgr receives its configurations from b10-cfgmgr(8).

CONFIGURATION AND COMMANDS

The configurable settings are:

lowerbound_refresh defines the minimum SOA REFRESH time in seconds. The default is 10.

lowerbound_retry defines the minimum SOA RETRY time in seconds. The default is 5.

refresh_jitter is used to provide a time range for randomizing the refresh and retry timers to help avoid many zones needing to do a refresh or retry at the same time. This value is a real number. The maximum amount is 0.5 (the new timer will be within half the original time). The default is 0.25 (up to a quarter sooner). Set to 0 to disable this jitter.

reload_jitter This value is a real number. The default is 0.75.

max_transfer_timeout defines the maximum amount of time in seconds for a transfer. The default is 14400 (4 hours).

secondary_zones is a list of slave zones that the b10-zonemgr should keep timers for. The list items include the name (which defines the zone name) and the class (which defaults to “IN”).

(A deprecated configuration is jitter_scope which is superceded by refresh_jitter and reload_jitter.)

The configuration commands are:

notify (sent by b10-auth(8)) tells b10-zonemgr the zone name and class, and the IP address for the master (source of the NOTIFY message). This will set the zone's refresh time to now. This is an internal command and not exposed to the administrator.

shutdown exits b10-zonemgr. This has an optional pid argument to select the process ID to stop. (Note that the BIND 10 boss process may restart this service if configured.)

zone_new_data_ready is sent from b10-xfrin(8) to indicate that the zone transferred in successfully. This is an internal command and not exposed to the administrator.

zone_xfrin_failed is sent from b10-xfrin(8) to indicate a failure (such as a transfer-in was incomplete). The refresh timer for the zone is reset. This is an internal command and not exposed to the administrator.

SEE ALSO

b10-auth(8), b10-cfgmgr(8), b10-msgq(8), b10-xfrin(8), bind10(8), BIND 10 Guide.

HISTORY

The b10-zonemgr daemon was designed in July 2010 by CNNIC for the ISC BIND 10 project.

COPYRIGHT
Copyright © 2010-2012 Internet Systems Consortium, Inc. ("ISC")